TAAS - Feature #214

Ticket/Voucher Query
06/27/2023 08:52 PM - Junaid M

Status: Reopen Bugs Testing Done Start date: 06/27/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Ticket/Voucher Query

Description

Coding Ticket/Voucher Query

History

#1 - 02/28/2024 11:31 AM - Junaid M
- Status changed from New to Ready for Coding

- Assignee changed from travvise Admin to Nithin Raj

- % Done changed from 0 to 20

#2 - 02/28/2024 12:17 PM - Junaid M

Controller:- AirticketController

Genaral Table Query —-> Refer Ticket/Voucher Search Report Module Query

Issue Tab :-—
tfd.dbl_fare,
tfd.dbl_tax,
tfd.dbl_supplier_amount,
tfd.dbl_normal_profit,
tfd.dbl_customer_price

FROM service.tbl_supp_doc_no AS sd

LEFT JOIN airticket.tbl_ticket_gen_data AS tktgen
ON sd.pk_supp_doc_no_id = tktgen.fk_supp_doc_no_id

LEFT JOIN airticket.tbl_ticket AS tkt

ON sd.pk_supp_doc_no_id = tkt.fk_supp_doc_no_id

LEFT JOIN service.tbl_supp_doc_fare AS tfd

ON tkt.fk_ticket_cus_ledg_fare_id=tfd.pk_supp_doc_fare_id
WHERE sd.sin_last_action != -1 AND sd.vhr_supp_doc_no

Query —> Original Issue Re-Issue Ticket List

SELECT sd.pk_supp_doc_no_id,
sd.vhr_supp_doc_no,
sd.dat_issue,
sd.dat_cancel,

tfd.dbl_fare,
tfd.dbl_tax,
tfd.dbl_supplier_amount,
tfd.dbl_normal_profit,
tfd.dbl_customer_price

FROM airticket.tbl_ticket_gen_data tgen
LEFT JOIN service.tbl_supp_doc_no sd

ON sd.pk_supp_doc_no_id = tgen.fk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare AS tfd

ON sd.fk_issue_cus_ledg_fare_id = tfd.pk_supp_doc_fare_id

WHERE tgen.vhr_original_issue_ticket = '?2'
Query - Invoice Posting
SELECT

tr.pk_transaction_id,
tr.dat_transaction,

tr.fk_ledger_id,
ac.vhr_account_code,
ac.vhr_account_name,

tr.vhr_ledg_currency,
tr.vhr_base_currency,
tr.dbl_ledg_cur_debit,
tr.dbl_ledg_cur_credit,

tr.dbl_ledg_cur_outstanding,
tr.dbl_base_cur_outstanding,
tr.fk_branch_id,
tr.vhr_reference,
tr.txt_narration

FROM service.tbl_supp_doc_no AS supp
LEFT JOIN transaction.tbl_transaction AS tr

ON tr.fk_supp_doc_no_id = supp.pk_supp_doc_no_id
LEFT JOIN accounts.tbl_account AS ac

ON tr.fk_ledger_id = ac.pk_account_id

WHERE supp.vhr_supp_doc_no = '?' —--ticket/voucher no
AND tr.sin_transaction_status = 1
AND tr.vhr_sys_module_name = 'SALE'

Query Refund Posting

SELECT
tr.pk_transaction_id,
tr.dat_transaction,

tr.fk_ledger_id,
ac.vhr_account_code,
ac.vhr_account_name,

tr.vhr_ledg_currency,
tr.vhr_base_currency,
tr.dbl_ledg_cur_debit,
tr.dbl_ledg_cur_credit,

tr.dbl_ledg_cur_outstanding,
tr.dbl_base_cur_outstanding,
tr.fk_branch_id,
tr.vhr_reference,
tr.txt_narration

FROM service.tbl_supp_doc_no AS supp
LEFT JOIN transaction.tbl_transaction AS tr

ON tr.fk_supp_doc_no_id = supp.pk_supp_doc_no_id
LEFT JOIN accounts.tbl_account AS ac

ON tr.fk_ledger_id = ac.pk_account_id

WHERE supp.vhr_supp_doc_no = '?' —--ticket/voucher no
AND tr.sin_transaction_status = 1
AND tr.vhr_sys_module_name = 'REFUND'

Query - Log

SELECT
dtm_last_update,
sin_last_action, —--0=>Created, Above 0=> Modified, -1=>Deleted
fk_last_action_user_id —--Join to User table for name
FROM log.tbl_supp_doc_no_log
WHERE supp.vhr_supp_doc_no = '?'

#3 - 06/11/2024 04:20 PM - Anil KV

- Assignee changed from Nithin Raj to Greeshma S

#4 - 07/12/2024 03:43 PM - Junaid M

- Assignee changed from Greeshma S to Augustin Jose

#5 - 07/12/2024 05:01 PM - Augustin Jose
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#6 - 08/03/2024 10:18 AM - Augustin Jose
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#7 - 08/09/2024 10:21 AM - Arathy PS
- Status changed from Coding Done to Testing Started

#8 - 08/24/2024 11:48 AM - Arathy PS

- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Arathy PS

ISSUE FOUND:

1)Check in and check out date not showing for hotel issue.
2)Doc. sub no: date without doc. sub no:

3)Wrong channel data in other issue.

4)Hotel issue current status not showing for issue/cancel

#9 - 08/28/2024 03:18 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#10 - 10/09/2024 02:57 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Arathy PS to unnikannan S

ISSUE FOUNDED
1.Missing Outstanding,AP Sharing Amounts From Fare Fields Of Vouchers
#11 - 11/04/2024 09:59 AM - Augustin Jose

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#12 - 11/18/2024 02:57 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)LPO date and LPO number are not updating

#13 - 11/18/2024 02:59 PM - Theja Ponon
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#14 - 11/19/2024 04:35 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#15 - 11/20/2024 11:43 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. Add a new tab for note.
2. Add attachment as a tab.
3. The print for each tab should appear in separate tabs with option.

#16 - 11/30/2024 09:43 AM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#17 - 12/04/2024 11:06 AM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

NOTE IS NOT CLEARED ON CLICKING NEW AND RESET

ATTACHMENT IS NOT CLEAR ON RESET
EXPIRY DATE CAN SET BEFORE THE DATE OF NOTE

ap o=

#18 - 12/05/2024 04:43 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

05/04/2025

)
)NOTE IS NOT GET ON SEARCH WITHOUT SHIFTING TAB FROM ANOTHER TAB TO NOTE TAB

JATTACHMENT IS NOT GET ON SEARCH WITHOUT SHIFTING TAB FROM ANOTHER TAB TO ATTACHMENT TAB
)

)
#19 - 12/06/2024 12:34 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#20 - 01/07/2025 01:12 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

Changes

1. Add redirection to the document and voucher numbers.

#21 - 01/08/2025 05:08 PM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#22 - 01/11/2025 12:50 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)Value in input field is not clearing with changing dropdown value
2)Data is not load in sale on redirecting

#23 - 01/11/2025 03:15 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#24 - 01/14/2025 04:28 PM - Theja Ponon
- File clipboard-202501141628-0ztl2.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Ticket/Voucher Query

Package ~ | PKOS

Search

General |Issue Cancel Other MNote Afttachment

t/Voucher Query:

Package No PKDS
ment Query
Batch No 333
unt Query
) [ Package ]
ved Cheque Query Supplier SUPOOT = BSP Supplier
“heque Query Sup Conf No 2

Confirm Number
Refund Staff
Ticketing Staff

Remarks

#25 - 01/14/2025 05:40 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 01/15/2025 02:38 PM - Theja Ponon

05/04/2025

Issue Date
Cancel Date
Channel
Travel Date
No Of Days
Pax Profile
Pax

Number Of Pax

Current Status:  lssued

14/01/2025

Other

W
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#27 - 02/03/2025 02:15 PM - Arathy PS
- File clipboard-202502031416-Icbjv.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

Ticket/Voucher Query 2]9-[=- Manu~_a L FAL:]

42703; column doc.vhr_group_document_no does not exist X

Ticket/Voucher = | 1000 Current Status:

General Issue Cancel Other Note Attachment

Issue Date
Cancel Date

Channel

Travel Date
Airline Pax Profile
Class Pax

Ticket Type Number Of Pax
Sector Booking Staff
Fare Basis Ticketing Staff
Tour Code Refund Staff

Booking Office

D Remarks

Ticketing Office D

#28 - 02/03/2025 03:04 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#29 - 02/04/2025 02:44 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)Ticketing Office ID,Booking Office ID values are not showing
2)Data in attachment and note tab is not showing in print
3)Data in issue tab showing in print of cancel tab

#30 - 02/05/2025 02:02 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#31 - 02/06/2025 04:44 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files
clipboard-202501141628-0ztl2.png 74.9 KB 01/14/2025 Theja Ponon
clipboard-202502031416-Icbjv.png 95.7 KB 02/03/2025 Arathy PS
